import 'package:wolf_3d_dart/src/engine/audio/debug_music_player.dart';
import 'package:wolf_3d_dart/wolf_3d_data_types.dart';
import 'package:wolf_3d_dart/wolf_3d_engine.dart';

class NativeSubprocessAudio implements EngineAudio, DebugMusicPlayer {
  NativeSubprocessAudio({this.maxConcurrentSfx = 8});

  static bool get supportsCurrentPlatform => false;

  final int maxConcurrentSfx;

  @override
  WolfensteinData? activeGame;

  @override
  Future<void> debugSoundTest() async {}

  @override
  Future<void> init() async {}

  @override
  void dispose() {}

  @override
  Future<void> playMenuMusic() async {}

  @override
  Future<void> playLevelMusic(Music music) async {}

  @override
  Future<void> stopMusic() async {}

  @override
  Future<void> stopAllAudio() async {}

  @override
  Future<void> playSoundEffect(SoundEffect effect) async {}

  @override
  Future<void> playSoundEffectId(int sfxId) async {}

  @override
  Future<void> playMusic(ImfMusic track, {bool looping = true}) async {}
}
